## ocfs2-tools 1.8.6

=== fsck.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = fsck.ocfs2

DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif
LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

ifndef OCFS2_DYNAMIC_FSCK
LDFLAGS += -static
endif

CFILES =	fsck.c		\
		dirblocks.c 	\
		dirparents.c 	\
		extent.c 	\
		icount.c 	\
		journal.c 	\
		pass0.c 	\
		pass1.c 	\
		pass1b.c 	\
		pass2.c 	\
		pass3.c 	\
		pass4.c 	\
		pass5.c		\
		problem.c 	\
		refcount.c	\
		slot_recovery.c \
		strings.c 	\
		util.c		\
		xattr.c

HFILES = 	include/fsck.h		\
		include/xattr.h		\
		include/dirblocks.h	\
		include/dirparents.h	\
		include/extent.h	\
		include/icount.h	\
		include/journal.h	\
		include/pass0.h		\
		include/pass1.h		\
		include/pass1b.h	\
		include/pass2.h		\
		include/pass3.h		\
		include/pass4.h		\
		include/pass5.h		\
		include/problem.h	\
		include/refcount.h	\
		include/slot_recovery.h	\
		include/o2fsck_strings.h	\
		include/util.h


OBJS = $(subst .c,.o,$(CFILES))
MANS = fsck.ocfs2.8 fsck.ocfs2.checks.8

DIST_FILES = $(CFILES) $(HFILES) $(addsuffix .in,$(MANS))
DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

$(OBJS): prompt-codes.h

# make it hard to add a prompt call
# without documenting what it does
prompt-codes.h: fsck.ocfs2.checks.8.in
	@echo generating $@ by parsing $^
	@rm -f .$@.tmp
	@(	echo '#ifndef __PROMPT_CODES_H__';			\
		echo '#define __PROMPT_CODES_H__';			\
		for a in `grep '^.SS ".*"' $^ | awk -F\" '{print $$2}'`; do\
			echo '#define PR_'$$a' \';			\
			echo '	(struct prompt_code){ .str = "'$$a'" }';\
		done;							\
		echo '#endif';						\
	 ) > $@

.PHONY: check-prompt-dups
check-prompt-dups: fsck.ocfs2
	@rm -f .$@.tmp
	@nm $^ | \
		awk -F'[ .]' '/fsck_prompt_callers_with_code/ {print $$3}' | \
		sort | uniq -c | awk '($$1 > 1){print $$0}' > .$@.tmp
	@cat .$@.tmp
	@test ! -s .$@.tmp

CLEAN_RULES += o2fsck-clean
.PHONY: o2fsck-clean
o2fsck-clean:
	rm -f prompt-codes.h

include $(TOPDIR)/Postamble.make

=== include/ocfs2/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

HFILES_GEN = ocfs2_err.h

all: $(HFILES_GEN)

HFILES = ocfs2.h jbd2.h bitops.h byteorder.h kernel-rbtree.h image.h

HEADERS_SUBDIR = ocfs2
HEADERS = $(HFILES) $(HFILES_GEN)

ocfs2_err.h: $(TOPDIR)/libocfs2/ocfs2_err.h
	cp $< $@

$(TOPDIR)/libocfs2/ocfs2_err.h:
	make -C $(TOPDIR)/libocfs2 ocfs2_err.h

DIST_FILES = $(HFILES)

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.6-6) unstable; urgency=medium

  * debian/po: convert translations to UTF-8
  * debian/lintian-overrides: rename lintian tag
  * debian/patches: update descriptions
  * debian/control: use Standards-Version 4.5.1
  * debian/watch: update version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 23 Jan 2021 08:08:40 +0100

ocfs2-tools (1.8.6-5) unstable; urgency=medium

  * debian/control: limit build to linux architectures

 -- Valentin Vidic <vvidic@debian.org>  Thu, 21 May 2020 14:10:56 +0200

ocfs2-tools (1.8.6-4) unstable; urgency=medium

  * debian/patches: fix o2image segfault on s390x
  * debian/lintian-overrides: ignore manpage warning
  * debian/tests: update test output
  * debian/rules: move startup scripts to /usr/libexec

 -- Valentin Vidic <vvidic@debian.org>  Thu, 21 May 2020 13:35:08 +0200

ocfs2-tools (1.8.6-3) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: specify only supported architectures (LP: #1745155)
  * debian/salsa-ci.yml: disable blhc warnings
  * debian/control: update Standards-Version to 4.5.0
  * debian/control: use debhelper v13
  * debian/control: update Maintainer mailing list address
  * debian/NEWS: fix file name

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 May 2020 21:31:59 +0200

ocfs2-tools (1.8.6-2) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * d/p/defrag.ocfs2-make-getopt-portable.patch: make defragfs.ocfs2 portable
    to ARM64 (LP: #1840958)

  [ Valentin Vidic ]
  * debian/control: update Standards-Version to 4.4.1
  * debian/control: use debhelper v12
  * debian/control: set Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Sat, 16 Nov 2019 11:41:49 +0100

ocfs2-tools (1.8.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: refresh for new version
  * debian/patches: fix gcc warnings for handler
  * debian/patches: fix defragfs segfault
  * debian/tests: run new defragfs command
  * debian/patches: cleanup m4_include (Closes: #931083)
  * debian/patches: move libaio reference to Libs.private
  * debian/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 19:59:27 +0200

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
Uploaders: Valentin Vidic <vvidic@debian.org>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
 uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
 libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev,
 libdlmcontrol-dev, libxml2-dev, libaio-dev, libcmap-dev
Homepage: https://ocfs2.wiki.kernel.org/
Vcs-Browser: https://salsa.debian.org/ha-team/ocfs2-tools
Vcs-Git: https://salsa.debian.org/ha-team/ocfs2-tools.git

Package: ocfs2-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-dev
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

=== debian/rules ===
#!/usr/bin/make -f

# build fails when format hardening is on
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/libexec/ocfs2-tools
	cp -f vendor/common/o2cb.init debian/tmp/usr/libexec/ocfs2-tools/o2cb
	cp -f vendor/common/ocfs2.init debian/tmp/usr/libexec/ocfs2-tools/ocfs2
	mkdir -p debian/tmp/lib/systemd/system
	cp -f vendor/common/o2cb.service debian/tmp/lib/systemd/system
	cp -f vendor/common/ocfs2.service debian/tmp/lib/systemd/system

override_dh_installinit:
	dh_installinit -pocfs2-tools --name=o2cb --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installinit -pocfs2-tools --name=ocfs2 --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd -pocfs2-tools --name=o2cb --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installsystemd -pocfs2-tools --name=ocfs2 --no-stop-on-upgrade --no-restart-after-upgrade

=== debian/tests/control ===
Depends: ocfs2-tools
Tests: basic
Restrictions: needs-root

Depends: ocfs2-tools
Tests: o2cb
Restrictions: needs-root, isolation-machine

Depends: ocfs2-tools, corosync, dlm-controld
Tests: pcmk
Restrictions: needs-root, isolation-machine

=== debian/watch ===
version=4
https://github.com/markfasheh/ocfs2-tools/releases .*/ocfs2-tools-?(\d\S*)\.tar\.gz

## ocfs2-tools 1.8.7

=== libo2cb/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations

INCLUDES = -I$(TOPDIR)/include -I.

LIBRARIES = libo2cb.a

CFLAGS += -fPIC

ifneq ($(BUILD_CMAP_SUPPORT),)
DEFINES += -DHAVE_CMAP
endif

ifneq ($(BUILD_FSDLM_SUPPORT),)
DEFINES += -DHAVE_FSDLM
endif

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libo2cb.a
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = 		\
	o2cb_abi.c	\
	o2cb_crc32.c	\
	client_proto.c

HFILES =			\
	o2cb_abi.h		\
	o2cb_crc32.h

HFILES_GEN = o2cb_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	o2cb_err.o

ifneq ($(BUILD_CMAN_SUPPORT),)
DEFINES += -DHAVE_CMAN
endif

$(OBJS): $(HFILES_GEN)

o2cb_err.c o2cb_err.h: o2cb_err.et
	compile_et o2cb_err.et

libo2cb.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

MANS = o2cb.7

DIST_FILES = $(CFILES) $(HFILES) o2cb_err.et o2cb.7.in

CLEAN_RULES = clean-err

clean-err:
	rm -f o2cb_err.c o2cb_err.h

include $(TOPDIR)/Postamble.make

=== o2monitor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SBIN_EXTRA = o2hbmonitor

WARNINGS = -Wall -Wstrict-prototypes -Wno-format -Wmissing-prototypes \
           -Wmissing-declarations

CFLAGS += $(WARNINGS)

INCLUDES = -I$(TOPDIR)/include -I.

DEFINES = -DVERSION=\"$(VERSION)\"

CFILES = o2hbmonitor.c

OBJS = $(subst .c,.o,$(CFILES))

MANS = o2hbmonitor.8

DIST_FILES = $(CFILES) $(HFILES) o2hbmonitor.8.in

o2hbmonitor: $(OBJS)
	$(LINK)

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.7-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:18:43 +0000

ocfs2-tools (1.8.7-1build3) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:33:59 +0000

ocfs2-tools (1.8.7-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:24:13 +0000

ocfs2-tools (1.8.7-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:13:58 +0000

ocfs2-tools (1.8.7-1) unstable; urgency=medium

  * New upstream version 1.8.7
  * debian/patches: refresh for new version
  * debian/control: use Standards-Version 4.6.0
  * debian/rules: drop systemd service files (Closes: #992103)
  * debian/tests: check additional init script actions
  * debian/tests: add online grow fs
  * debian/tests: add script for nocluster mode
  * debian/watch: update github url

 -- Valentin Vidic <vvidic@debian.org>  Sun, 07 Nov 2021 18:55:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ocfs2-tools
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
  uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 Depends: ocfs2-tools
 Tests: basic
 Restrictions: needs-root
+
+Depends: ocfs2-tools
+Tests: nocluster
+Restrictions: needs-root, isolation-machine
 
 Depends: ocfs2-tools
 Tests: o2cb

## ocfs2-tools 1.8.8

=== fswreck/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX
DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
INCLUDES += $(GLIB_CFLAGS)

UNINST_PROGRAMS = fswreck

CFILES = main.c corrupt.c chain.c extent.c group.c inode.c local_alloc.c truncate_log.c special.c symlink.c dir.c journal.c quota.c refcount.c discontig_bg.c

HFILES = 			\
	include/chain.h		\
	include/dir.h		\
	include/fsck_type.h	\
	include/inode.h		\
	include/local_alloc.h	\
	include/special.h	\
	include/truncate_log.h	\
	include/corrupt.h	\
	include/extent.h	\
	include/group.h		\
	include/journal.h	\
	include/main.h		\
	include/symlink.h	\
	include/quota.h		\
	include/refcount.h	\
	include/discontig_bg.h

DIST_FILES = $(CFILES) $(HFILES)
DIST_RULES = dist-subdircreate

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
else
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
endif
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fswreck: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== listuuid/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
else
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
endif
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

UNINST_PROGRAMS = listuuid

CFILES =	listuuid.c

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) 

listuuid: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== o2cb_ctl/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = o2cb_ctl o2cb

INCLUDES = -I$(TOPDIR)/include

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifndef OCFS2_DYNAMIC_CTL
LDFLAGS += -static
endif

DEFINES = -DVERSION=\"$(VERSION)\"

O2CB_CONFIG_CFILES = o2cb_config.c jconfig.c jiterator.c
O2CB_CTL_CFILES = ${O2CB_CONFIG_CFILES} o2cb_ctl.c
O2CB_CFILES = ${O2CB_CONFIG_CFILES} o2cbtool.c op_cluster.c op_node.c op_heartbeat.c \
		op_lists.c op_register.c op_start.c o2cb_scandisk.c op_status.c o2cbutils.c

O2CB_CTL_OBJS = $(subst .c,.o,$(O2CB_CTL_CFILES))
O2CB_OBJS = $(subst .c,.o,$(O2CB_CFILES))

HFILES = o2cb_config.h jconfig.h jiterator.h o2cbtool.h o2cb_scandisk.h

CFILES = $(O2CB_CTL_CFILES) $(O2CB_CFILES)

MANS = o2cb_ctl.8 o2cb.8 ocfs2.cluster.conf.5

DIST_FILES = $(CFILES) $(HFILES) o2cb_ctl.8.in o2cb.8.in ocfs2.cluster.conf.5.in

DIST_RULES = dist-subdircreate

jconfig_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
jiterator_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_config_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_ctl_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cbtool_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_cluster_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_node_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_heartbeat_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_lists_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_register_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_start_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cb_scandisk_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
op_status_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED
o2cbutils_CPPFLAGS = $(GLIB_CFLAGS) -DG_DISABLE_DEPRECATED

o2cb_ctl: $(O2CB_CTL_OBJS) $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

o2cb: $(O2CB_OBJS) $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS) ${LIBO2DLM_DEPS} ${LIBTOOLS_INTERNAL_DEPS}
	$(LINK) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(LIBOCFS2_LIBS) ${LIBO2DLM_LIBS} ${LIBTOOLS_INTERNAL_LIBS} $(COM_ERR_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== o2info/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wno-format -Wmissing-prototypes \
           -Wmissing-declarations

CFLAGS += $(WARNINGS)

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

BIN_PROGRAMS = o2info

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = o2info.1

HFILES = o2info.h		\
	 utils.h		\
	 libo2info.h

CFILES =			\
	o2info.c		\
	operations.c		\
	utils.c

LIBO2INFO_CFILES = libo2info.c

OBJS = $(subst .c,.o,$(CFILES))

LIBO2INFO_OBJS = $(subst .c,.o,$(LIBO2INFO_CFILES))

DIST_FILES = $(CFILES) $(LIBO2INFO_CFILES) $(HFILES) o2info.1.in

libo2info.a: $(LIBO2INFO_OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

o2info: $(OBJS) $(LIBOCFS2_DEPS) libo2info.a
	$(LINK) $(LIBOCFS2_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS) libo2info.a

include $(TOPDIR)/Postamble.make

=== tunefs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

UNINST_LIBRARIES = libocfs2ne.a

OCFS2NE_FEATURES =			\
	feature_backup_super		\
	feature_discontig_bg		\
	feature_extended_slotmap	\
	feature_inline_data		\
	feature_local			\
	feature_metaecc			\
	feature_refcount		\
	feature_sparse_files		\
	feature_unwritten_extents	\
	feature_xattr			\
	feature_indexed_dirs		\
	feature_quota			\
	feature_clusterinfo		\
	feature_append_dio

OCFS2NE_OPERATIONS =			\
	op_cloned_volume		\
	op_features			\
	op_list_sparse_files		\
	op_query			\
	op_reset_uuid			\
	op_resize_volume		\
	op_set_label			\
	op_set_journal_size		\
	op_set_journal_block		\
	op_set_slot_count		\
	op_update_cluster_stack		\
	op_set_quota_sync_interval	\

sbindir = $(root_sbindir)
SBIN_PROGRAMS = tunefs.ocfs2 o2cluster

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = tunefs.ocfs2.8 o2cluster.8

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(filter-out debug_op_features,$(DEBUG_EXE_PROGRAMS))

debug_%.o : %.c
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_op_features: debug_op_features.o $(OCFS2NE_FEATURE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

debug_%: debug_%.o libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)
endif

LIBOCFS2NE_CFILES = libocfs2ne.c
O2CLUSTER_CFILES = o2cluster.c
HFILES_GEN = o2ne_err.h

o2ne_err.c o2ne_err.h: o2ne_err.et
	compile_et o2ne_err.et

OCFS2NE_OPERATION_CFILES = $(patsubst %,%.c,$(OCFS2NE_OPERATIONS))
OCFS2NE_FEATURE_CFILES = $(patsubst %,%.c,$(OCFS2NE_FEATURES))
OCFS2NE_CFILES =			\
	ocfs2ne.c			\
	$(OCFS2NE_OPERATION_CFILES)	\
	$(OCFS2NE_FEATURE_CFILES)

CFILES = $(LIBOCFS2NE_CFILES) $(OCFS2NE_CFILES) $(O2CLUSTER_CFILES)
HFILES = libocfs2ne.h

LIBOCFS2NE_OBJS = $(subst .c,.o,$(LIBOCFS2NE_CFILES)) o2ne_err.o
OCFS2NE_OBJS = $(subst .c,.o,$(OCFS2NE_CFILES))
O2CLUSTER_OBJS = $(subst .c,.o,$(O2CLUSTER_CFILES))

$(LIBOCFS2NE_OBJS): $(HFILES_GEN)
$(OCFS2NE_OBJS): $(HFILES_GEN)
$(O2CLUSTER_OBJS): $(HFILES_GEN)

DIST_FILES = $(CFILES) $(HFILES) tunefs.ocfs2.8.in o2cluster.8.in o2ne_err.et

libocfs2ne.a: $(LIBOCFS2NE_OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

ocfs2ne: $(OCFS2NE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

o2cluster: ${O2CLUSTER_OBJS} $(LIBOCFS2_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS) $(LIBO2DLM_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(LIBO2DLM_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

tunefs.ocfs2: ocfs2ne
	ln -f ocfs2ne tunefs.ocfs2

CLEAN_RULES += clean-err
CLEAN_RULES += ocfs2ne-clean

ocfs2ne-clean:
	rm -f ocfs2ne
clean-err:
	rm -f o2ne_err.c o2ne_err.h

include $(TOPDIR)/Postamble.make

=== vendor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = common rhel7 rhel6 rhel5 sles10 rhel4 sles9 fc7 fc8 fc9

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.8-2) unstable; urgency=medium

  * debian/install: move files to /usr (Closes: #1073781)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 22 Jun 2024 20:16:12 +0200

ocfs2-tools (1.8.8-1) unstable; urgency=medium

  * New upstream version 1.8.8
  * debian/control: drop lsb-base dependency
  * debian/rules: include systemd units (Closes: #1039292)
  * debian/control: update build depends on libncurses-dev
  * debian/control: use Standards-Version 4.7.0
  * debian/lintian-overrides: update overrides
  * debian/tests: remove script for nocluster mode

 -- Valentin Vidic <vvidic@debian.org>  Sun, 12 May 2024 22:04:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ocfs2-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
- uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
+ uuid-dev, libncurses-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),
  libblkid-dev (>= 1.36), libbz2-dev, libdevmapper-dev, libdlm-dev,
  libdlmcontrol-dev, libxml2-dev, libaio-dev, libcmap-dev
 Homepage: https://ocfs2.wiki.kernel.org/
@@ -16,7 +15,7 @@
 
 Package: ocfs2-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
 Pre-Depends: ${misc:Pre-Depends}
 Description: tools for managing OCFS2 cluster filesystems
  OCFS2 is a general purpose cluster filesystem. Unlike the initial release

## ocfs2-tools 1.8.9

=== Makefile ===
TOPDIR = .
 
include $(TOPDIR)/Preamble.make

RPM_TOPDIR = $(CURDIR)

RPMBUILD = $(shell /usr/bin/which rpmbuild 2>/dev/null || /usr/bin/which rpm 2>/dev/null || echo /bin/false)

SUSEBUILD = $(shell if test -r /etc/SuSE-release; then echo yes; else echo no; fi)

PYVERSION = $(shell echo $(pyexecdir) | sed -e 's/.*python\([0-9]\.[0-9]\).*/\1/')

ifeq ($(SUSEBUILD),yes)
PYGTK_NAME = python-gtk
CHKCONFIG_DEP = aaa_base
COMPILE_PY = 0
else
PYGTK_NAME = pygtk2
CHKCONFIG_DEP = chkconfig
COMPILE_PY = 1
endif

SUBDIRS1 = include
SUBDIRS2 = libtools-internal libo2dlm libo2cb
SUBDIRS3 = libocfs2
SUBDIRS4 = fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor extras fswreck patches defragfs.ocfs2

ifdef BUILD_OCFS2CONSOLE
SUBDIRS4 += ocfs2console
endif

SUBDIRS4 += vendor

$(SUBDIRS2): $(SUBDIRS1)
$(SUBDIRS3): $(SUBDIRS2)
$(SUBDIRS4): $(SUBDIRS3)

SUBDIRS = $(SUBDIRS1) $(SUBDIRS2) $(SUBDIRS3) $(SUBDIRS4)

PKGCONFIG_SOURCES =	\
	o2cb.pc.in	\
	o2dlm.pc.in	\
	ocfs2.pc.in
PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(PKGCONFIG_SOURCES))

DEBIAN_FILES =					\
	debian/README.Debian			\
	debian/changelog			\
	debian/compat				\
	debian/control				\
	debian/copyright			\
	debian/ocfs2-tools.config		\
	debian/ocfs2-tools.docs			\
	debian/ocfs2-tools.install		\
	debian/ocfs2-tools.manpages		\
	debian/ocfs2-tools.postinst		\
	debian/ocfs2-tools.postrm		\
	debian/ocfs2-tools.templates		\
	debian/ocfs2console.install		\
	debian/ocfs2console.manpages		\
	debian/ocfs2-tools-static-dev.install	\
	debian/rules

DIST_FILES = \
	COPYING					\
	CREDITS					\
	MAINTAINERS				\
	README					\
	README.O2CB				\
	Config.make.in				\
	Preamble.make				\
	Postamble.make				\
	aclocal.m4				\
	blkid.m4				\
	glib-2.0.m4				\
	mbvendor.m4				\
	python.m4				\
	pythondev.m4				\
	runlog.m4				\
	config.guess				\
	config.sub				\
	configure				\
	configure.in				\
	install-sh				\
	mkinstalldirs				\
	rpmarch.guess				\
	svnrev.guess				\
	Vendor.make				\
	vendor.guess				\
	Makepdfs				\
	documentation/samples/cluster.conf	\
	documentation/users_guide.txt		\
	$(PKGCONFIG_SOURCES)			\
	$(DEBIAN_FILES)

DIST_RULES = dist-subdircreate

.PHONY: dist dist-subdircreate dist-bye dist-fresh distclean

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/documentation/samples
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/debian

dist-bye:
	-rm -rf $(DIST_TOPDIR)

dist-fresh: dist-bye
	$(TOPDIR)/mkinstalldirs $(DIST_TOPDIR)

dist: dist-fresh dist-all
	GZIP=$(GZIP_OPTS) tar chozf $(DIST_TOPDIR).tar.gz $(DIST_TOPDIR)
	$(MAKE) dist-bye

distclean: clean
	rm -f Config.make config.status config.cache config.log $(PKGCONFIG_FILES)

INSTALL_RULES = install-pkgconfig

install-pkgconfig: $(PKGCONFIG_FILES)
	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(libdir)/pkgconfig
	for p in $(PKGCONFIG_FILES); do \
	  $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/pkgconfig/$$p; \
        done


include Vendor.make

def:
	@echo $(TOOLSARCH)

include $(TOPDIR)/Postamble.make

=== defragfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = defragfs.ocfs2

DEFINES += -DVERSION=\"$(VERSION)\"


INCLUDES = -I$(TOPDIR)/include -I./include
DEFINES = -DVERSION=\"$(VERSION)\"

CFILES = main.c record.c libdefrag.c
HFILES =	\
	include/libdefrag.h	\
	include/o2defrag.h	\
	include/record.h

OBJS = $(subst .c,.o,$(CFILES))


DIST_FILES = $(CFILES) $(HFILES) defragfs.ocfs2.8.in

DIST_RULES = dist-subdircreate
MANS = defragfs.ocfs2.8

defragfs.ocfs2: $(OBJS)
	$(LINK)

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

include $(TOPDIR)/Postamble.make

=== extras/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

UNINST_PROGRAMS = find_hardlinks find_dup_extents find_inode_paths set_random_bits decode_lockres encode_lockres mark_journal_dirty find_allocation_fragments compute_groups check_metaecc resize_slotmap

INCLUDES = -I$(TOPDIR)/include

FIND_HARDLINKS_CFILES = find_hardlinks.c
FIND_DUP_EXTENTS_CFILES = find_dup_extents.c
FIND_INODE_PATHS_CFILES = find_inode_paths.c
SET_RANDOM_BITS_CFILES = set_random_bits.c
DECODE_LOCKRES_CFILES = decode_lockres.c
ENCODE_LOCKRES_CFILES = encode_lockres.c
MARK_JOURNAL_DIRTY_CFILES = mark_journal_dirty.c
FIND_ALLOC_FRAG_CFILES = find_allocation_fragments.c
COMPUTE_GROUPS_CFILES = compute_groups.c
CHECK_METAECC_CFILES = check_metaecc.c
RESIZE_SLOTMAP_CFILES = resize_slotmap.c

DIST_FILES = $(FIND_HARDLINKS_CFILES) $(FIND_DUP_EXTENTS_CFILES) $(FIND_INODE_PATHS_CFILES) $(SET_RANDOM_BITS_CFILES) $(DECODE_LOCKRES_CFILES) $(ENCODE_LOCKRES_CFILES) $(MARK_JOURNAL_DIRTY_CFILES) $(FIND_ALLOC_FRAG_CFILES) $(COMPUTE_GROUPS_CFILES) $(CHECK_METAECC_CFILES) $(RESIZE_SLOTMAP_CFILES)

FIND_HARDLINKS_OBJS = $(subst .c,.o,$(FIND_HARDLINKS_CFILES))
FIND_DUP_EXTENTS_OBJS = $(subst .c,.o,$(FIND_DUP_EXTENTS_CFILES))
FIND_INODE_PATHS_OBJS = $(subst .c,.o,$(FIND_INODE_PATHS_CFILES))
SET_RANDOM_BITS_OBJS  = $(subst .c,.o,$(SET_RANDOM_BITS_CFILES))
DECODE_LOCKRES_OBJS  = $(subst .c,.o,$(DECODE_LOCKRES_CFILES))
ENCODE_LOCKRES_OBJS  = $(subst .c,.o,$(ENCODE_LOCKRES_CFILES))
MARK_JOURNAL_DIRTY_OBJS = $(subst .c,.o,$(MARK_JOURNAL_DIRTY_CFILES))
FIND_ALLOC_FRAG_OBJS = $(subst .c,.o,$(FIND_ALLOC_FRAG_CFILES))
COMPUTE_GROUPS_OBJS = $(subst .c,.o,$(COMPUTE_GROUPS_CFILES))
CHECK_METAECC_OBJS = $(subst .c,.o,$(CHECK_METAECC_CFILES))
RESIZE_SLOTMAP_OBJS = $(subst .c,.o,$(RESIZE_SLOTMAP_CFILES))

LIBOCFS2 = ../libocfs2/libocfs2.a
EXTRAS_LIBS = $(LIBOCFS2) $(COM_ERR_LIBS) $(AIO_LIBS)

find_hardlinks: $(FIND_HARDLINKS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_dup_extents: $(FIND_DUP_EXTENTS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_inode_paths: $(FIND_INODE_PATHS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

set_random_bits: $(SET_RANDOM_BITS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

decode_lockres: $(DECODE_LOCKRES_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

encode_lockres: $(ENCODE_LOCKRES_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

mark_journal_dirty: $(MARK_JOURNAL_DIRTY_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

find_allocation_fragments: $(FIND_ALLOC_FRAG_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

compute_groups: $(COMPUTE_GROUPS_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

check_metaecc: $(CHECK_METAECC_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

resize_slotmap: $(RESIZE_SLOTMAP_OBJS) $(LIBOCFS2)
	$(LINK) $(EXTRAS_LIBS)

include $(TOPDIR)/Postamble.make

=== include/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = tools-internal ocfs2-kernel o2dlm o2cb ocfs2

include $(TOPDIR)/Postamble.make

=== libo2dlm/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I. -I$(TOPDIR)/include

LIBRARIES = libo2dlm.a

CFLAGS += -fPIC

ifneq ($(BUILD_FSDLM_SUPPORT),)
DEFINES += -DHAVE_FSDLM
endif

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libo2dlm.a
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = o2dlm.c capabilities.c
HFILES = libdlm-compat.h

TESTING_CFILES = o2dlm_test.c

HFILES_GEN = o2dlm_err.h

ifeq ($(LIBDLM_FOUND),)
HFILES_GEN += libdlm.h
CLEAN_RULES += clean-libdlm

libdlm.h: libdlm-compat.h
	ln -s $< $@

clean-libdlm:
	rm -f libdlm.h

endif

OBJS = $(subst .c,.o,$(CFILES)) \
	o2dlm_err.o

$(OBJS): $(HFILES) $(HFILES_GEN)

TESTING_OBJS = $(subst .c,.o,$(TESTING_CFILES))

o2dlm_err.c o2dlm_err.h: o2dlm_err.et
	compile_et o2dlm_err.et

libo2dlm.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

o2dlm_test: $(TESTING_OBJS) $(LIBRARIES) $(COM_ERR_LIBS)
	$(LINK) $(DL_LIBS)

DIST_FILES = $(CFILES) $(HFILES) o2dlm_err.et $(TESTING_CFILES)

CLEAN_RULES += clean-err clean-test

clean-err:
	rm -f o2dlm_err.c o2dlm_err.h

clean-test:
	rm -f o2dlm_test

include $(TOPDIR)/Postamble.make

=== libocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

LIBRARIES = libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
else
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
endif
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

CFLAGS += -fPIC

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libocfs2.a $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(COM_ERR_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS)

endif

CFILES = 		\
	alloc.c		\
	bitmap.c	\
	bitops.c	\
	blockcheck.c	\
	blocktype.c	\
	cached_inode.c	\
	chain.c		\
	chainalloc.c	\
	checkhb.c	\
	closefs.c	\
	dirblock.c	\
	dir_iterate.c	\
	dir_scan.c	\
	dlm.c		\
	fileio.c	\
	freefs.c	\
	expanddir.c	\
	extend_file.c	\
	extents.c	\
	extent_map.c	\
	getsectsize.c	\
	getsize.c	\
	heartbeat.c	\
	inode.c		\
	inode_scan.c	\
	ismounted.c	\
	kernel-rbtree.c	\
	link.c		\
	lookup.c	\
	memory.c	\
	mkjournal.c	\
	namei.c		\
	openfs.c	\
	slot_map.c	\
	sysfile.c	\
	truncate.c	\
	unix_io.c	\
	unlink.c	\
	lockid.c	\
	backup_super.c	\
	feature_string.c\
	quota.c		\
	image.c		\
	xattr.c		\
	extent_tree.c	\
	refcount.c	\
	dir_indexed.c

HFILES =		\
	bitmap.h	\
	crc32table.h	\
	dir_iterate.h	\
	dir_util.h	\
	extent_map.h	\
	extent_tree.h	\
	refcount.h

HFILES_GEN = ocfs2_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	ocfs2_err.o

$(OBJS): $(HFILES_GEN)

ocfs2_err.c ocfs2_err.h: ocfs2_err.et
	compile_et ocfs2_err.et

libocfs2.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

MANS = ocfs2.7

DIST_FILES = $(CFILES) $(HFILES) ocfs2_err.et ocfs2.7.in

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.c ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== libtools-internal/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I. -I$(TOPDIR)/include

UNINST_LIBRARIES = libtools-internal.a

CFLAGS += -fPIC

DEFINES += -DVERSION=\"$(VERSION)\"

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o
	$(LINK) $(COM_ERR_LIBS)

endif

CFILES = verbose.c progress.c utils.c scandisk.c
HFILES = libtools-internal.h

OBJS = $(subst .c,.o,$(CFILES))

$(OBJS): $(HFILES) $(HFILES_GEN)

libtools-internal.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES)

include $(TOPDIR)/Postamble.make

=== mkfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mkfs.ocfs2

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

CFILES = mkfs.c check.c
HFILES = mkfs.h

OBJS = $(subst .c,.o,$(CFILES))

MANS = mkfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) mkfs.ocfs2.8.in

mkfs.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(UUID_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== mount.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mount.ocfs2

INCLUDES = -I$(TOPDIR)/include
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

DEFINES = -DVERSION=\"$(VERSION)\"

CORE_CFILES = fstab.c mntent.c realpath.c sundries.c xmalloc.c opts.c
MOUNT_CFILES = mount.ocfs2.c

HFILES = $(subst .c,.h,$(MOUNT_CFILES) $(CORE_CFILES))
HFILES += mount_constants.h nls.h paths.h

MOUNT_OBJS = $(subst .c,.o,$(MOUNT_CFILES) $(CORE_CFILES))
MANS = mount.ocfs2.8

DIST_FILES = $(CORE_CFILES) $(MOUNT_CFILES)	\
	     $(HFILES) $(addsuffix .in,$(MANS))

mount.ocfs2: $(MOUNT_OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== mounted.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS += -ldlm_lt
endif
ifneq ($(BUILD_CMAP_SUPPORT),)
LIBO2CB_LIBS += -lcmap
endif

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = mounted.ocfs2

INCLUDES = -I$(TOPDIR)/include

CFILES = mounted.c
OBJS = $(subst .c,.o,$(CFILES))

MANS = mounted.ocfs2.8

DIST_FILES = $(CFILES) mounted.ocfs2.8.in

mounted.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) ${LIBTOOLS_INTERNAL_DEPS}
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS)  $(LIBO2CB_LIBS) ${LIBTOOLS_INTERNAL_DEPS} $(COM_ERR_LIBS) $(UUID_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== o2image/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

WARNINGS = -Wall -Wstrict-prototypes -Wno-format -Wmissing-prototypes \
           -Wmissing-declarations

CFLAGS += $(WARNINGS)

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

ifneq ($(BUILD_FSDLM_SUPPORT),)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
else
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
endif
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = o2image

INCLUDES = -I$(TOPDIR)/include -I.
INCLUDES += $(GLIB_CFLAGS)
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = o2image.8

CFILES = o2image.c

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) $(HFILES) o2image.8.in

o2image: $(OBJS) $(LIBOCFS2_DEPS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(COM_ERR_LIBS) $(AIO_LIBS)

include $(TOPDIR)/Postamble.make

=== ocfs2_controld/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)

ifneq ($(BUILD_OCFS2_CONTROLD),)
  ifneq ($(BUILD_CMAN_SUPPORT),)
SBIN_PROGRAMS += ocfs2_controld.cman
  endif
UNINST_PROGRAMS = test_client
endif

ifneq ($(BUILD_PCMK_SUPPORT),)
SBIN_PROGRAMS += ocfs2_controld.pcmk
# Some pacemaker headers which pacemaker.c includes want this.
PCMK_INCLUDES = -I/usr/include/pacemaker -I/usr/include/heartbeat/ $(GLIB_CFLAGS)
endif

INCLUDES = -I$(TOPDIR)/include -I. $(PCMK_INCLUDES)
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb -ldlm_lt
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
COROSYNC_LIBS = $(CPG_LDFLAGS) -lcpg
OPENAIS_LIBS = $(AIS_LDFLAGS) -lSaCkpt
DLMCONTROL_LIBS = -ldlmcontrol
CRM_LIBS = -lcrmcluster -lstonithd -lcrmcommon

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
	  -Wmissing-declarations

DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES \
	  -DO2CB_FLAT_INCLUDES -DVERSION=\"$(VERSION)\"

UNINST_HFILES = ocfs2_controld.h

ifneq ($(HAVE_COROSYNC),)
DEFINES += -DHAVE_COROSYNC=1
endif
DAEMON_CFILES = main.c cpg.c mount.c ckpt.c dlmcontrol.c

CMAN_CFILES = cman.c
CMAN_DAEMON_CFILES = $(DAEMON_CFILES) $(CMAN_CFILES)
CMAN_DAEMON_OBJS = $(subst .c,.o,$(CMAN_DAEMON_CFILES))

PCMK_CFILES = pacemaker.c
PCMK_DAEMON_CFILES = $(DAEMON_CFILES) $(PCMK_CFILES)
PCMK_DAEMON_OBJS = $(subst .c,.o,$(PCMK_DAEMON_CFILES))

TEST_CFILES = test_client.c
TEST_OBJS = $(subst .c,.o,$(TEST_CFILES) $(PROTO_CFILES))
MANS =

DIST_FILES =				\
	$(DAEMON_CFILES)		\
	$(PCMK_CFILES)			\
	$(CMAN_CFILES)			\
	$(TEST_CFILES)			\
	$(UNINST_HFILES)		\
	$(addsuffix .in,$(MANS))
ocfs2_controld.pcmk: $(PCMK_DAEMON_OBJS) $(LIBO2CB_DEPS)
	$(LINK) $(GLIB_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) \
		$(OPENAIS_LIBS) $(COROSYNC_LIBS) \
		$(DLMCONTROL_LIBS) $(CRM_LIBS)

ocfs2_controld.cman: $(CMAN_DAEMON_OBJS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(OPENAIS_LIBS) \
		$(COROSYNC_LIBS) $(DLMCONTROL_LIBS) -lcman

test_client: $(TEST_OBJS) $(LIBO2CB_DEPS) $(LIBOCFS2_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.8.9-1) unstable; urgency=medium

  * New upstream version 1.8.9

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 Aug 2025 16:45:49 +0200

ocfs2-tools (1.8.8-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Valentin Vidic ]
  * debian/tests: try to fix mkfs.ocfs2 failure
  * debian/copyright: update FSF address
  * debian/control: use Standards-Version 4.7.2
  * debian/tests: skip basic test if mkfs cannot open the file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 04 May 2025 19:03:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Valentin Vidic <vvidic@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), po-debconf, comerr-dev,
  uuid-dev, libncurses-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3),

=== debian/rules ===
#!/usr/bin/make -f

# build fails when format hardening is on
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/init.d
	cp -f vendor/common/o2cb.init debian/tmp/etc/init.d/o2cb
	cp -f vendor/common/ocfs2.init debian/tmp/etc/init.d/ocfs2

override_dh_installinit:
	dh_installinit -pocfs2-tools --name=o2cb --only-scripts --no-stop-on-upgrade --no-restart-after-upgrade
	dh_installinit -pocfs2-tools --name=ocfs2 --only-scripts --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd -pocfs2-tools --name=o2cb --no-enable --no-start --no-stop-on-upgrade
	dh_installsystemd -pocfs2-tools --name=ocfs2 --no-enable --no-start --no-stop-on-upgrade

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Depends: ocfs2-tools
 Tests: basic
-Restrictions: needs-root
-
-Depends: ocfs2-tools
-Tests: nocluster
-Restrictions: needs-root, isolation-machine
+Restrictions: needs-root, skippable
 
 Depends: ocfs2-tools
 Tests: o2cb

=== debian/watch ===
version=4
https://github.com/markfasheh/ocfs2-tools/tags .*/ocfs2-tools-?(\d\S*)\.tar\.gz
